Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/AsseticFilterFunction.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/AsseticFilterFunction.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/AsseticFilterFunction.php	(revision 7265)
@@ -0,0 +1,29 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Extension\Twig;
+
+class AsseticFilterFunction extends \Twig_Function
+{
+    private $filter;
+
+    public function __construct($filter, $options = array())
+    {
+        $this->filter = $filter;
+
+        parent::__construct($options);
+    }
+
+    public function compile()
+    {
+        return sprintf('$this->env->getExtension(\'assetic\')->getFilterInvoker(\'%s\')->invoke', $this->filter);
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/TwigFormulaLoader.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/TwigFormulaLoader.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/TwigFormulaLoader.php	(revision 7265)
@@ -0,0 +1,99 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Extension\Twig;
+
+use Assetic\Factory\Loader\FormulaLoaderInterface;
+use Assetic\Factory\Resource\ResourceInterface;
+
+/**
+ * Loads asset formulae from Twig templates.
+ *
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class TwigFormulaLoader implements FormulaLoaderInterface
+{
+    private $twig;
+
+    public function __construct(\Twig_Environment $twig)
+    {
+        $this->twig = $twig;
+    }
+
+    public function load(ResourceInterface $resource)
+    {
+        try {
+            $tokens = $this->twig->tokenize($resource->getContent(), (string) $resource);
+            $nodes  = $this->twig->parse($tokens);
+        } catch (\Exception $e) {
+            return array();
+        }
+
+        return $this->loadNode($nodes);
+    }
+
+    /**
+     * Loads assets from the supplied node.
+     *
+     * @param \Twig_Node $node
+     *
+     * @return array An array of asset formulae indexed by name
+     */
+    private function loadNode(\Twig_Node $node)
+    {
+        $formulae = array();
+
+        if ($node instanceof AsseticNode) {
+            $formulae[$node->getAttribute('name')] = array(
+                $node->getAttribute('inputs'),
+                $node->getAttribute('filters'),
+                array(
+                    'output'  => $node->getAttribute('asset')->getTargetPath(),
+                    'name'    => $node->getAttribute('name'),
+                    'debug'   => $node->getAttribute('debug'),
+                    'combine' => $node->getAttribute('combine'),
+                    'vars'    => $node->getAttribute('vars'),
+                ),
+            );
+        } elseif ($node instanceof \Twig_Node_Expression_Function) {
+            $name = version_compare(\Twig_Environment::VERSION, '1.2.0-DEV', '<')
+                ? $node->getNode('name')->getAttribute('name')
+                : $node->getAttribute('name');
+
+            if ($this->twig->getFunction($name) instanceof AsseticFilterFunction) {
+                $arguments = array();
+                foreach ($node->getNode('arguments') as $argument) {
+                    $arguments[] = eval('return '.$this->twig->compile($argument).';');
+                }
+
+                $invoker = $this->twig->getExtension('assetic')->getFilterInvoker($name);
+
+                $inputs  = isset($arguments[0]) ? (array) $arguments[0] : array();
+                $filters = $invoker->getFilters();
+                $options = array_replace($invoker->getOptions(), isset($arguments[1]) ? $arguments[1] : array());
+
+                if (!isset($options['name'])) {
+                    $options['name'] = $invoker->getFactory()->generateAssetName($inputs, $filters, $options);
+                }
+
+                $formulae[$options['name']] = array($inputs, $filters, $options);
+            }
+        }
+
+        foreach ($node as $child) {
+            if ($child instanceof \Twig_Node) {
+                $formulae += $this->loadNode($child);
+            }
+        }
+
+        return $formulae;
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/AsseticExtension.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/AsseticExtension.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Extension/Twig/AsseticExtension.php	(revision 7265)
@@ -0,0 +1,76 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Extension\Twig;
+
+use Assetic\ValueSupplierInterface;
+use Assetic\Factory\AssetFactory;
+
+class AsseticExtension extends \Twig_Extension
+{
+    protected $factory;
+    protected $functions;
+    protected $valueSupplier;
+
+    public function __construct(AssetFactory $factory, $functions = array(), ValueSupplierInterface $valueSupplier = null)
+    {
+        $this->factory = $factory;
+        $this->functions = array();
+        $this->valueSupplier = $valueSupplier;
+
+        foreach ($functions as $function => $options) {
+            if (is_integer($function) && is_string($options)) {
+                $this->functions[$options] = array('filter' => $options);
+            } else {
+                $this->functions[$function] = $options + array('filter' => $function);
+            }
+        }
+    }
+
+    public function getTokenParsers()
+    {
+        return array(
+            new AsseticTokenParser($this->factory, 'javascripts', 'js/*.js'),
+            new AsseticTokenParser($this->factory, 'stylesheets', 'css/*.css'),
+            new AsseticTokenParser($this->factory, 'image', 'images/*', true),
+        );
+    }
+
+    public function getFunctions()
+    {
+        $functions = array();
+        foreach ($this->functions as $function => $filter) {
+            $functions[$function] = new AsseticFilterFunction($function);
+        }
+
+        return $functions;
+    }
+
+    public function getGlobals()
+    {
+        return array(
+            'assetic' => array(
+                'debug' => $this->factory->isDebug(),
+                'vars'  => null !== $this->valueSupplier ? $this->valueSupplier->getValues() : array(),
+            ),
+        );
+    }
+
+    public function getFilterInvoker($function)
+    {
+        return new AsseticFilterInvoker($this->factory, $this->functions[$function]);
+    }
+
+    public function getName()
+    {
+        return 'assetic';
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Util/PathUtils.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Util/PathUtils.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Util/PathUtils.php	(revision 7265)
@@ -0,0 +1,31 @@
+<?php
+
+namespace Assetic\Util;
+
+/**
+ * Path Utils.
+ *
+ * @author Johannes M. Schmitt <schmittjoh@gmail.com>
+ */
+abstract class PathUtils
+{
+    public static function resolvePath($path, array $vars, array $values)
+    {
+        $map = array();
+        foreach ($vars as $var) {
+            if (false === strpos($path, '{'.$var.'}')) {
+                continue;
+            }
+
+            if (!isset($values[$var])) {
+                throw new \InvalidArgumentException(sprintf('The path "%s" contains the variable "%s", but was not given any value for it.', $path, $var));
+            }
+
+            $map['{'.$var.'}'] = $values[$var];
+        }
+
+        return strtr($path, $map);
+    }
+
+    final private function __construct() { }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Util/TraversableString.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Util/TraversableString.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Util/TraversableString.php	(revision 7265)
@@ -0,0 +1,44 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Util;
+
+/**
+ * An object that can be used as either a string or array.
+ *
+ * @author Kris Wallsmith <kris.wallsmith@gmail.com>
+ */
+class TraversableString implements \IteratorAggregate, \Countable
+{
+    private $one;
+    private $many;
+
+    public function __construct($one, array $many)
+    {
+        $this->one = $one;
+        $this->many = $many;
+    }
+
+    public function getIterator()
+    {
+        return new \ArrayIterator($this->many);
+    }
+
+    public function count()
+    {
+        return count($this->many);
+    }
+
+    public function __toString()
+    {
+        return (string) $this->one;
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Exception/Exception.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Exception/Exception.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Exception/Exception.php	(revision 7265)
@@ -0,0 +1,21 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Exception;
+
+/**
+ * Marker.
+ *
+ * @author Johannes M. Schmitt <schmittjoh@gmail.com>
+ */
+interface Exception
+{
+}
Index: sandbox/newExpressoMail/newExpressoMail/Assetic/Exception/FilterException.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/Assetic/Exception/FilterException.php	(revision 7265)
+++ sandbox/newExpressoMail/newExpressoMail/Assetic/Exception/FilterException.php	(revision 7265)
@@ -0,0 +1,73 @@
+<?php
+
+/*
+ * This file is part of the Assetic package, an OpenSky project.
+ *
+ * (c) 2010-2012 OpenSky Project Inc
+ *
+ * For the full copyright and license information, please view the LICENSE
+ * file that was distributed with this source code.
+ */
+
+namespace Assetic\Exception;
+
+use Symfony\Component\Process\Process;
+
+/**
+ * Describes an exception that occurred within a filter.
+ *
+ * @author Johannes M. Schmitt <schmittjoh@gmail.com>
+ */
+class FilterException extends \RuntimeException implements Exception
+{
+    private $originalMessage;
+    private $input;
+
+    public static function fromProcess(Process $proc)
+    {
+        $message = sprintf("An error occurred while running:\n%s", $proc->getCommandLine());
+
+        $errorOutput = $proc->getErrorOutput();
+        if (!empty($errorOutput)) {
+            $message .= "\n\nError Output:\n".str_replace("\r", '', $errorOutput);
+        }
+
+        $output = $proc->getOutput();
+        if (!empty($output)) {
+            $message .= "\n\nOutput:\n".str_replace("\r", '', $output);
+        }
+
+        return new self($message);
+    }
+
+    public function __construct($message, $code = 0, \Exception $previous = null)
+    {
+        parent::__construct($message, $code, $previous);
+
+        $this->originalMessage = $message;
+    }
+
+    public function setInput($input)
+    {
+        $this->input = $input;
+        $this->updateMessage();
+
+        return $this;
+    }
+
+    public function getInput()
+    {
+        return $this->input;
+    }
+
+    private function updateMessage()
+    {
+        $message = $this->originalMessage;
+
+        if (!empty($this->input)) {
+            $message .= "\n\nInput:\n".$this->input;
+        }
+
+        $this->message = $message;
+    }
+}
Index: sandbox/newExpressoMail/newExpressoMail/index.php
===================================================================
--- sandbox/newExpressoMail/newExpressoMail/index.php	(revision 7212)
+++ sandbox/newExpressoMail/newExpressoMail/index.php	(revision 7265)
@@ -10,5 +10,5 @@
                                                    );
 						  
-        require_once( dirname(__FILE__).'/../prototype/api/config.php' );
+        //require_once( dirname(__FILE__).'/../prototype/api/config.php' );
         
         require_once (dirname(__FILE__).'/../header.inc.php');
@@ -26,4 +26,6 @@
         $imap_configs = $boemailadmin->getProfile($emailadmin_profile[0]['profileID']);
 
+        include("inc/load_lang.php");
+
         define( 'MODULESURL' , '../prototype/modules/newMail' );
         define( 'PLUGINSURL' , '../prototype/plugins' );
Index: sandbox/newExpressoMail/prototype/services/ImapServiceAdapter.php
===================================================================
--- sandbox/newExpressoMail/prototype/services/ImapServiceAdapter.php	(revision 7209)
+++ sandbox/newExpressoMail/prototype/services/ImapServiceAdapter.php	(revision 7265)
@@ -76,6 +76,9 @@
 			case 'folder':
 			{
-				
-				$result = $this->getFolders();
+
+                if($context != '')
+                    $result = $this->getFolderInfo($context['folder']);
+                else
+                    $result = $this->getFolders();
 
 				foreach ($result as $res) {
@@ -86,5 +89,5 @@
 							'commonName' => mb_convert_encoding( $res['folder_name'], 'UTF-8' , 'UTF7-IMAP' ),
 							'parentFolder' => mb_convert_encoding( $res['folder_parent'], 'UTF-8' , 'UTF7-IMAP' ),
-							'messageCount' => array('unseen' => isset($res['folder_unseen']) ? $res['folder_unseen'] : null, 'total' => null)
+							'messageCount' => array('unseen' => isset($res['folder_unseen']) ? $res['folder_unseen'] : null, 'total' => $res['folder_total'])
 					);
 
@@ -104,9 +107,10 @@
 				$limit = isset($criteria['rows']) ? $criteria['rows'] : 10 ; //{10}   get how many rows we want to have into the grid
 				$sidx  = isset($criteria['sidx']) ? $criteria['sidx'] : 0; //{id}   get index row - i.e. user click to sort
-				$sord  = isset($criteria['sord']) ? $criteria['sord'] : ''; //{desc} get the direction
+				$sord  = $criteria['sord'] == "asc"? "0" : '1'; //{desc} get the direction
+                //$flag = $criteria['_search'] ? $criteria['_search'] : 'ALL';
 
 				$filter =  isset($criteria['filter']) ? $criteria['filter'] : '';
 
-				if( !$sidx ) $sidx = 1;
+				if( !$sidx ) $sidx = 'SORTARRIVAL';
 
 				$folder_name =  isset($URI['folder']) ?  $URI['folder'] : str_replace( '.', $this->imap_delimiter, isset($context['folder']) ?  $context['folder'] : 'INBOX');
@@ -207,7 +211,7 @@
 							'msg_range_begin' => $start + 1, //??
 							'msg_range_end' => $start + $limit, //$limit = $_GET['rows']; // get how many rows we want to have into the grid
-							'sort_box_type' => 'SORTARRIVAL', 
+							'sort_box_type' => $sidx,
 							'search_box_type' => 'ALL',
-							'sort_box_reverse' => 1 
+							'sort_box_reverse' => $sord
 						) 
 					);
@@ -698,6 +702,20 @@
 			case 'folder':
 			{
-
-			}
+                $mbox_stream = $this->open_mbox();
+                $path = ($data['path'] != "" ? $data['path'] : "INBOX") .$this->imap_delimiter;
+                $folders = explode($this->imap_delimiter,$data['name']);
+                $return = true;
+                for($i =0; $i < count($folders); $i++){
+                    $path .= $folders[$i] != "" ? $folders[$i] : 'Nova Pasta';
+                    $newFolder = mb_convert_encoding($path, "UTF7-IMAP","UTF-8");
+                    $serverString = "{".$this->imap_server.":".$this->imap_port.$this->imap_options."}".$newFolder;
+                    if(imap_createmailbox($mbox_stream,$serverString))
+                    {
+                        $return = false;
+                    }
+                    $path .= $this->imap_delimiter;
+                }
+                return $return;
+            }
 		}
 	}
@@ -790,7 +808,17 @@
 						break;
 				}
-				
 				return $s;
 			}
+            case 'folder':{
+                $newFolder = mb_convert_encoding($URI['id'], "UTF7-IMAP","UTF-8");
+                $serverString = "{".$this->imap_server.":".$this->imap_port.$this->imap_options."}".$newFolder;
+                $mbox_stream = $this->open_mbox();
+                if(imap_deletemailbox($mbox_stream,$serverString))
+                {
+                    return true;
+                }else{
+                    return false;
+                }
+            }
 		}
 
@@ -822,4 +850,20 @@
 		 * atributos gravados no banco de dados e nunca no IMAP.
 		 */
+        switch( $URI['concept'] )
+        {
+            case 'folder':
+            {
+                $mbox_stream = $this->open_mbox();
+                $oldFolderName = mb_convert_encoding($data['id'], "UTF7-IMAP","UTF-8");
+                $newFolderName = mb_convert_encoding($data['new'], "UTF7-IMAP","UTF-8");
+                $serverString = "{".$this->imap_server.":".$this->imap_port.$this->imap_options."}";
+                if(imap_renamemailbox($mbox_stream,$serverString.$oldFolderName, $serverString.$newFolderName))
+                {
+                    return true;
+                }else{
+                    return false;
+                }
+            }
+        }
 	}
 
Index: sandbox/newExpressoMail/prototype/config/folder.ini
===================================================================
--- sandbox/newExpressoMail/prototype/config/folder.ini	(revision 5341)
+++ sandbox/newExpressoMail/prototype/config/folder.ini	(revision 7265)
@@ -1,1 +1,4 @@
 service = Imap
+
+[Imap.mapping]
+folderName = folder_name
Index: sandbox/newExpressoMail/prototype/modules/newMail/js/message.js
===================================================================
--- sandbox/newExpressoMail/prototype/modules/newMail/js/message.js	(revision 7210)
+++ sandbox/newExpressoMail/prototype/modules/newMail/js/message.js	(revision 7265)
@@ -1,108 +1,108 @@
 function buildMessageButtons(content){
-	var data = getTabData();
-	//FLAGS BUTTON SET 
+    var data = getTabData();
+    //FLAGS BUTTON SET
     content.find(".message-flags").find(".message-important-flag").button({
-    	icons: {
-    		primary: "ui-icon-notice"
-    	},
+        icons: {
+            primary: "ui-icon-notice"
+        },
         text: false
     }).click(function(){
-    	var checked = $(this).attr("checked") == "checked" ? true : false;
-    	set_message_flag(data.id, checked ? "flagged" : "unflagged", undefined, data.folder);
-    	write_msg(get_lang('Message marked as ') + get_lang( checked ? "Important" : "Normal"));
-    	refresh();
-    }).end().find(".message-unread-flag").button({
-    	icons: {
-    		primary: "ui-icon-mail-closed"
-    	},
-        text: false
-    }).click(function(){
-    	var checked = $(this).attr("checked") == "checked" ? true : false;
-    	set_message_flag(data.id, checked ? "unseen" : "seen", undefined, data.folder);
-    	write_msg(get_lang('Message marked as ') + get_lang( checked ? "Unseen" : "Seen"));
-    	refresh();
-    }).end().find(".message-spam-flag").button({
-    	icons: {
-    		primary: "ui-icon-alert"
-    	},
-        text: false	
-    }).click(function(){
-    	var checked = $(this).attr("checked") == "checked" ? true : false;
-    	checked ? spam(data.folder, data.id,'null') : nospam(data.id,'null', data.folder);
-    	removeTab();
-    	refresh();
-    }).end().find(".message-followup-flag").button({
-    	icons: {
-    		primary: "ui-icon-flag"
-    	},
-        text: false
-    });
+            var checked = $(this).attr("checked") == "checked" ? true : false;
+            set_message_flag(data.id, checked ? "flagged" : "unflagged", undefined, data.folder);
+            write_msg(get_lang('Message marked as ') + get_lang( checked ? "Important" : "Normal"));
+            refresh();
+        }).end().find(".message-unread-flag").button({
+            icons: {
+                primary: "ui-icon-mail-closed"
+            },
+            text: false
+        }).click(function(){
+            var checked = $(this).attr("checked") == "checked" ? true : false;
+            set_message_flag(data.id, checked ? "unseen" : "seen", undefined, data.folder);
+            write_msg(get_lang('Message marked as ') + get_lang( checked ? "Unseen" : "Seen"));
+            refresh();
+        }).end().find(".message-spam-flag").button({
+            icons: {
+                primary: "ui-icon-alert"
+            },
+            text: false
+        }).click(function(){
+            var checked = $(this).attr("checked") == "checked" ? true : false;
+            checked ? spam(data.folder, data.id,'null') : nospam(data.id,'null', data.folder);
+            removeTab();
+            refresh();
+        }).end().find(".message-followup-flag").button({
+            icons: {
+                primary: "ui-icon-flag"
+            },
+            text: false
+        });
     content.find(".message-flags").buttonset();
 
     //MESSAGES ACTION NEXT PREV BUTTON SET
     content.find(".messages-controll").find(".message-prev").button({
-    	icons: {
-    		primary: "ui-icon-carat-1-w"
-    	},
+        icons: {
+            primary: "ui-icon-carat-1-w"
+        },
         text: false
     }).click(function(){
 
-    }).next().button({
-    	icons: {
-    		primary: "ui-icon-carat-1-e"
-    	},
-        text: false
-    });
+        }).next().button({
+            icons: {
+                primary: "ui-icon-carat-1-e"
+            },
+            text: false
+        });
     content.find(".messages-controll").buttonset();
 
     //
     content.find(".message-forward").button({
-    	icons:{
-    		primary: "ui-icon-arrowreturnthick-1-e"
-    	},
-    	text : false
-    });
-
-	var teste = content.find(".message-reply-menu-content").clone();
-	content.find(".message-reply-menu-content").remove();
+        icons:{
+            primary: "ui-icon-arrowreturnthick-1-e"
+        },
+        text : false
+    });
+
+    var teste = content.find(".message-reply-menu-content").clone();
+    content.find(".message-reply-menu-content").remove();
 
     content.find(".button.message-reply").button({
-    	icons:{
-    		primary: "ui-icon-arrowreturnthick-1-w"
-    	},
-    	text : false
+        icons:{
+            primary: "ui-icon-arrowreturnthick-1-w"
+        },
+        text : false
     }).next().button({
-    	icons:{
-    		primary: "ui-icon-triangle-1-s"
-    	},
-    	text : false
-    }).parent().buttonset();
-
-	content.find("span.message-reply").append(teste);
-
-	content.find(".message-reply").next().menuPlugin({
-		content : content.find(".message-reply-menu-content").html(),
-		positionOpts: {
-			posX: 'left', 
-			posY: 'bottom',
-			offsetX: -140,
-			offsetY: 0,
-			directionH: 'right',
-			directionV: 'down', 
-			detectH: true, // do horizontal collision detection  
-			detectV: true, // do vertical collision detection
-			linkToFront: false
-		},
-		flyOut: true,
-		showSpeed: 100,
-		crumbDefaultText: '>'
-	});
+            icons:{
+                primary: "ui-icon-triangle-1-s"
+            },
+            text : false
+        }).parent().buttonset();
+
+    content.find("span.message-reply").append(teste);
+
+    content.find(".message-reply").next().menuPlugin({
+        content : content.find(".message-reply-menu-content").html(),
+        positionOpts: {
+            posX: 'left',
+            posY: 'bottom',
+            offsetX: -140,
+            offsetY: 0,
+            directionH: 'right',
+            directionV: 'down',
+            detectH: true, // do horizontal collision detection
+            detectV: true, // do vertical collision detection
+            linkToFront: false
+        },
+        flyOut: true,
+        showSpeed: 100,
+        crumbDefaultText: '>'
+    });
 
 
     content.find(".button.message-edit").button({
-    	icons:{
-    		primary: "ui-icon-pencil"
-    	},
-    	text : false
+        icons:{
+            primary: "ui-icon-pencil"
+        },
+        text : false
     });
     //BUTTON MORE AND TAGS
@@ -114,53 +114,53 @@
         text: false
     }).next().next().button({
-        icons: {
-            secondary: "ui-icon-triangle-1-s"
-        },
-        text: true
- 	});
-
-	content.find(".message-more").menuPlugin({
-		content : content.find(".message-more-menu-content").html(),
-		flyOut: true,
-		positionOpts: {
-			posX: 'left', 
-			posY: 'bottom',
-			offsetX: -140,
-			offsetY: 0,
-			directionH: 'right',
-			directionV: 'down', 
-			detectH: true, // do horizontal collision detection  
-			detectV: true, // do vertical collision detection
-			linkToFront: false
-		},
-		showSpeed: 100,
-		crumbDefaultText: '>'
-	});
- 		
-	content.find(".message-tags-menu-content ul li").remove();
-	$.each(getLabels(), function(key,value){
-		content.find(".message-tags-menu-content ul")
-		.append("<li id='"+key+"'><a onclick='labeledMessages("+
-			(key.match(/label(.*)/) ? key.match(/label(.*)/)[1] : 'configureLabels({applyToSelectedMessages:true})')
-		+");' href='#'>"+value.name+"</a></li>").find("li:last");
-	});
-
-	content.find(".message-tags").menuPlugin({
-		content : content.find(".message-tags-menu-content").html(),
-		flyOut: true,
-		positionOpts: {
-			posX: 'left', 
-			posY: 'bottom',
-			offsetX: -140,
-			offsetY: 0,
-			directionH: 'right',
-			directionV: 'down', 
-			detectH: true, // do horizontal collision detection  
-			detectV: true, // do vertical collision detection
-			linkToFront: false
-		},
-		showSpeed: 100,
-		crumbDefaultText: '>'
-	});
+            icons: {
+                secondary: "ui-icon-triangle-1-s"
+            },
+            text: true
+        });
+
+    content.find(".message-more").menuPlugin({
+        content : content.find(".message-more-menu-content").html(),
+        flyOut: true,
+        positionOpts: {
+            posX: 'left',
+            posY: 'bottom',
+            offsetX: -140,
+            offsetY: 0,
+            directionH: 'right',
+            directionV: 'down',
+            detectH: true, // do horizontal collision detection
+            detectV: true, // do vertical collision detection
+            linkToFront: false
+        },
+        showSpeed: 100,
+        crumbDefaultText: '>'
+    });
+
+    content.find(".message-tags-menu-content ul li").remove();
+    $.each(getLabels(), function(key,value){
+        content.find(".message-tags-menu-content ul")
+            .append("<li id='"+key+"'><a onclick='labeledMessages("+
+            (key.match(/label(.*)/) ? key.match(/label(.*)/)[1] : 'configureLabels({applyToSelectedMessages:true})')
+            +");' href='#'>"+value.name+"</a></li>").find("li:last");
+    });
+
+    content.find(".message-tags").menuPlugin({
+        content : content.find(".message-tags-menu-content").html(),
+        flyOut: true,
+        positionOpts: {
+            posX: 'left',
+            posY: 'bottom',
+            offsetX: -140,
+            offsetY: 0,
+            directionH: 'right',
+            directionV: 'down',
+            detectH: true, // do horizontal collision detection
+            detectV: true, // do vertical collision detection
+            linkToFront: false
+        },
+        showSpeed: 100,
+        crumbDefaultText: '>'
+    });
     //REMOVE MESSAGE BUTTON
     content.find(".message-remove").button({
@@ -170,8 +170,8 @@
         text: false
     }).click(function(){
-    	proxy_mensagens.delete_msgs(data.folder,data.id,'null');
-    	removeTab();
-    	refresh();
-    });
+            proxy_mensagens.delete_msgs(data.folder,data.id,'null');
+            removeTab();
+            refresh();
+        });
 
     //PREFERENCES BUTTON
@@ -186,14 +186,56 @@
     //MESSAGE DETAILS 
     content.find(".message-hide-show-details").click(function(){
-    	$(this).find("span").toggle();
-    	content.find(".message-details").toggle("blind");
+        $(this).find("span").toggle();
+        content.find(".message-details").toggle("blind");
     }).hover(
-		function(){
-			$(this).addClass("message-detail-hover");
-		},
-		function(){
-			$(this).removeClass("message-detail-hover");
-		}
-	);
+        function(){
+            $(this).addClass("message-detail-hover");
+        },
+        function(){
+            $(this).removeClass("message-detail-hover");
+        }
+    );
 
 }
+
+var Message = {
+    open : function(id){
+
+    },
+
+    remove : function(ids){
+
+    },
+
+    flag : function(id, flag){
+
+    },
+
+    move : function(id){
+
+    },
+
+    print : function (){
+
+    },
+
+    report : function(id){
+
+    },
+
+    reply : function(id, type){
+
+    },
+
+    forward : function(id){
+
+    },
+
+    export : function(id){
+
+    },
+
+    create : function(id){
+
+    }
+}
